import request from '@/utils/request'

// 查询所有
export const getDeviceList = () =>
  request({
    url: '/device/deviceInfo/getList',
    method: 'get'
  })

//分页查询设备
export const getSupplierFindPageList = (data) =>
  request({
    url: `/projectManage/projectManageList`,
    method: 'post',
    data
  })

//ID查询
export const getDeviceID = (data) =>
  request({
    url: `/projectManage/projectManageList`,
    method: 'post',
    data
  })

//新增
export const addDevice = (data) =>
  request({
    url: '/projectManage/addProjectManageListInfo',
    method: 'post',
    data
  })

//修改
export const updateDevice = (data) =>
  request({
    url: '/projectManage/updateProjectManageListInfo',
    method: 'post',
    data
  })

//删除
export const deleteDevice = (data) =>
  request({
    url: `/projectManage/deleteProjectManageListInfo?id=${data}`,
    method: 'get'
  })
